You're viewing **Apigee Edge** documentation.  
[Go to the
**Apigee X** documentation](http://cloud.google.com/apigee/docs). info

On August 4, 2020, we released a new version of Apigee Edge for Private Cloud.

> [!NOTE]
> For more information, see the following resources:
>
> - *[Edge for Private Cloud 4.19.06
>   documentation](https://docs.apigee.com/private-cloud/v4.19.06)*
> - *Questions or issues?* Contact [Apigee Edge Support](https://docs.apigee.com/api-platform/troubleshoot/support)
> - *Release notifications* : See [Get Apigee Edge release notifications](https://docs.apigee.com/release/get-release-notifications)

## Update procedure

To update your installation, perform the following procedure on the Edge nodes:

1. On all Edge nodes:

   1. Clean the Yum repos:

      ```
      sudo yum clean all
      ```
   2. Download the latest Edge 4.19.06 `bootstrap_4.19.06.sh` file to `/tmp/bootstrap_4.19.06.sh`:

      ```
      curl https://software.apigee.com/bootstrap_4.19.06.sh -o /tmp/bootstrap_4.19.06.sh
      ```
   3. Install the Edge 4.19.06 `apigee-service` utility and dependencies:

      ```
      sudo bash /tmp/bootstrap_4.19.06.sh apigeeuser=uName apigeepassword=pWord
      ```

      Where <var translate="no">uName:pWord</var> are the username and password you received from Apigee.
      If you omit <var translate="no">pWord</var>, you will be prompted to enter it.
   4. Update the `apigee-setup` utility:

      ```
      sudo /opt/apigee/apigee-service/bin/apigee-service apigee-setup update
      ```
   5. Use the `source` command to execute the `apigee-service.sh` script:

      ```
      source /etc/profile.d/apigee-service.sh
      ```
2. On all Qpid nodes, update the `apigee-qpidd` process by executing the following command:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c qpid -f configFile
   ```

   Where <var translate="no">configFile</var> specifies the configuration file that you used to install
   Apigee Edge for Private Cloud. For example, `/opt/silent.conf`.
3. On all Edge nodes, execute the `update.sh` script for the `edge` process. To do this, execute the following command on each node:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
   ```
4. On all Edge UI nodes, update the `edge-ui` process by executing the following command:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c ui -f configFile
   ```
5. On all portal nodes, update the `devportal` process by executing the following command:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c dp -f configFile
   ```

## Supported software

No changes.

## Deprecations and retirements

The `privateKeyExportable` query parameter on the `Aliases` API has
been deprecated.

## New Features

No changes.

## Bugs fixed

The following table lists the bugs fixed in this release:

| Issue ID | Description |
|---|---|
| 161121352 | **Revenue reports (Monetization)** Revenue reports were showing incorrect data for some fields, including net price and revenue shares. The reports are now showing the correct data. |
| 159108299 | **`NoClassDefFoundError` after patch installation** Some customers were experiencing a `NoClassDefFoundError` on the Management Server after installing patch 4.19.06.07. |
| 152574421 | **Qpid depedency conflicts** In some cases, Linux systems were experiencing package dependency conflicts when upgrading Qpid services that were also used by Edge. |
| 145419621 | **'Try the new UI' link removed** The 'Try the new UI' link under the title when logging in to the Classic Edge UI has been removed. |
| 132688399 | **Undeploying proxies** When undeploying an API proxy that had multiple shared flow revisions in the same environment, Edge did not undeploy the revision and returned the following error: ``` The Shared flow preProxyFlow is in use by PreProxyFlowHook ``` <br /> |
| 162770354 | **Drupal security updates** The following security updates have been added to Edge: - Drupal core: 7.72 - Internationalization: 7.x-1.27 - Services: 7.x-3.27 The RPMs apigee-drupal-7.72 all have different build numbers: - 4.19.01: apigee-drupal-7.72-0.0.304 - 4.19.06: apigee-drupal-7.72-0.0.111 - 4.50.00: apigee-drupal-7.72-0.0.113 These RPMs all have the same version of Drupal core 7.72 and are identical. If you upgrade from earlier versions, the build number on the RPM may not change. <br /> |